Bug 227234 - hwclock hangs kernel on HP Pavilion DV9205eu
hwclock hangs kernel on HP Pavilion DV9205eu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
: 322351 (view as bug list)
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-02-03 16:01 EST by Hervé Rilos
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 13:48:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hervé Rilos 2007-02-03 16:01:54 EST
Description of problem:
When trying to set time using hwclock (at first boot, with gnome clock-applet or
at shutdown (if ntpd is running)) the system hangs.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1. Set the time at firstboot 
2. or set time in gnome clock-applet
3. or shutdown system with ntpd activated
  
Actual results:
The system hangs

Expected results:
The system should update the hardware clock

Additional info:
I don't have this problem with the x86 version of FC6, only with the x86_64 one.
Comment 1 Jerry 2007-03-03 23:48:41 EST
hwclock fails to run on HPa1510y with the following message:

select() to /dev/rtc to wait for clock tick timed out

Evidently the rtc is getting hung.  On this machine the consequence is the clock
gets reset back to roughly 12 pm after every reboot.
Comment 2 Jerry 2007-03-05 23:47:37 EST
Additional information:  When I boot with the FC6 rescue CD and get to the
shell, hwclock works fine.  A workaround may be to use --directisa.  I am doing
this by setting CLOCKFLAGS=--directisa in /etc/sysconfig/clock.

This is obviously not the desired approach, but seems to work.  I am still
testing that.  hwclock works fine on the initial kernel that comes with FC6
i686.  So I think this is a regression and considering the fundamental nature of
of it, I think its critical.
Comment 3 Karel Zak 2007-03-06 04:01:01 EST
Yeah, the --directisa option is typical workaround when /dev/rtc doesn't work.
Reassignig to kernel.
Comment 4 David Reed 2007-11-18 17:58:11 EST
I suggest that Fedora and RedHat distributions no longer need to use hwclock in
their init scripts.  Booting Linux now initializes the time from the RTC as part
of kernel initialization (did it ever not do so?)

The hwclock command in /etc/rc.sysinit is thus redundant, and in fact, since
hwclock has not been maintained for a long time, dangerous.   And this freeze is
unnecessary, since it results from that call.

Similarly, the hwclock command executed during shutdown (/etc/init.d/halt) is
also redundant and dangerous, since it can cause the disks not to be synced.

While it would be nice for hwclock to work correctly, that is a different
problem than the hang during boot, which is easily fixed by eliminating the
redundant code.

Finally, there is a line that may invoke hwclock in /etc/init.d/ntpd.  This is
not normally enabled (even when ntpd is on) so it is less problematic.   I would
suggest the script code should be removed as well. Also, there is a reference to
 ntpdate, which is deprecated, since ntpd does the job ntpdate is called upon to
do, if invoked with the right flags.
Comment 5 David Reed 2007-12-17 17:03:01 EST
New info: My machine (similar, but not quite the same model - HP Pavilion
dv9000z) exhibits this problem - hwclock freezing the system, and I've
laboriously tracked it down to the use of ioport 0x80 to delay I/O.  A patch is
in the works in the kernel development process.




Comment 6 Jon Stanley 2008-01-07 20:47:37 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 7 Riku Seppala 2008-02-06 12:56:33 EST
*** Bug 322351 has been marked as a duplicate of this bug. ***
Comment 8 Riku Seppala 2008-02-06 12:58:05 EST
This bug is still there, Fedora 9 alpha.
Comment 9 Bug Zapper 2008-04-04 02:05:25 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Riku Seppala 2008-04-04 05:21:17 EDT
Fedora 9 beta + updates. Tested "hwclock --debug --show" several times and it
worked every time, no freezing now. So at least for me this year old bug is
finally fixed.
(Note I have latest bios F.3D, all HP dv9000z series owners should check they
are using latest bios)
Comment 11 Jon Stanley 2008-04-07 13:48:45 EDT
Cool, I'll close the bug then

Note You need to log in before you can comment on or make changes to this bug.